package com.mt.wms.basic.service;

import com.mt.wms.basic.params.CommunicationQueryParam;
import com.mt.wms.basic.vo.CommunicationVo;
import com.mt.wms.core.params.IdParam;
import com.mt.wms.core.vo.PageVo;
import com.mt.wms.core.vo.R;

import java.util.List;

/**
 * @Author: liguanghao
 * @Date: 2021/11/18 10:16
 * @Version 1.0
 */
public interface CommunicationService {
    /**
     * 获取xx
     *
     * @param idParam 主键参数
     * @return xx
     */
    R<CommunicationVo> get(IdParam idParam);

    /**
     * 获取xx分页列表
     *
     * @param kilnInfoQueryParam xx查询参数
     * @return xx分页列表
     */
    R<PageVo<CommunicationVo>> page(CommunicationQueryParam kilnInfoQueryParam);
}
