package com.mt.wms.empty.params;

import com.mt.wms.core.params.BasePageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @author xcc
 * @date 2021年11月8日
 * @since 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "order查询列表", description = "order查询列表")
public class OrderInfoBasePageParam extends BasePageParam {

    private static final long serialVersionUID = 1L;
    
    /**
     * 订单号，APMS系统获取
     */
   @ApiModelProperty(value = "订单号", required = true)
    private String orderNo;

    /**
     * 标识卡号，APMS系统获取
     */
    @ApiModelProperty(value = "标识卡号", required = true)
    private String idenCardNum;


}
