/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.passport.feign;

import com.mt.wms.core.dto.LoginUser;
import com.mt.wms.core.vo.R;
import com.mt.wms.core.vo.TokenVo;
import com.mt.wms.passport.constants.PassportConstant;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;

/**
 * @author jiff
 * @date 2018-11-30
 * @since 1.0
 */
@FeignClient(name = "lis-passport")
public interface InnerService {

    @PostMapping("/innerRoamLogin")
    R<TokenVo> login(@RequestHeader(PassportConstant.PASSPORT_INNER_NONCE_TOKEN) String token, @RequestBody LoginUser loginUser);
}
