package com.mt.wms.basic.params;

import com.mt.wms.core.params.BasePageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Author: liguanghao
 * @Date: 2021/11/9 12:11
 * @Version 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "工业炉查询参数", description = "用于查询工业炉信息")
public class KilnInfoQueryParam extends BasePageParam {
    /**
     * 主键，自增
     */
    @ApiModelProperty(value = "主键",required = false, example = "1")
    private Long id;
}
