package com.mt.wms.empty.params;

import com.mt.wms.core.base.BaseParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Author: LGH
 * @Date: 2022/8/11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "问题解答参数对象", description = "问题解答参数对象")
public class QuestionAnswerParam extends BaseParam {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "问题", required = true)
    private String question;

    @ApiModelProperty(value = "解答", required = true)
    private String answer;

}
